ReferenceRest

List offers

GET
/api/v1/offers

Authorization

AuthorizationBearer <token>

Use Authorization: Bearer <salestouch_api_key>.

In: header

Query Parameters

cursor?string
limit?integer
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://www.salestouch.io/api/v1/offers"
{
  "data": {
    "offers": [
      {
        "id": "string",
        "organizationId": "string",
        "name": "string",
        "oneLiner": "string",
        "valueProposition": "string",
        "description": "string",
        "landingPageUrl": "string",
        "salesBriefUrl": "string",
        "isDraft": true,
        "lastUsedAt": "2019-08-24T14:15:22Z",
        "references": [
          {
            "type": "TESTIMONIAL",
            "title": "string",
            "content": "string",
            "author": "string",
            "jobTitle": "string",
            "company": "string",
            "companyLocation": "string",
            "companySize": "string",
            "industry": "string",
            "keyResult": "string",
            "source": "string",
            "publishedAt": "2019-08-24T14:15:22Z",
            "url": "string",
            "tags": [
              "string"
            ],
            "metadata": {}
          }
        ],
        "problemSolutions": [
          {
            "problem": "string",
            "solution": "string",
            "feature": "string"
          }
        ],
        "differentiators": [
          {
            "title": "string",
            "description": "string"
          }
        ],
        "resources": [
          {
            "type": "TUTORIAL",
            "title": "string",
            "description": "string",
            "url": "string",
            "publishedAt": "2019-08-24T14:15:22Z"
          }
        ],
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    ],
    "nextCursor": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}